Multivariate Pattern Analysis in Python

# mvpa2.misc.transformers.DistPValue

class `mvpa2.misc.transformers.``DistPValue`(sd=0, distribution='rdist', fpp=None, nbins=400, **kwargs)

  Converts values into p-values under vague and non-scientific assumptions

  Notes

  Available conditional attributes:

  - `nulldist_number+`: Number of features within the estimated null-distribution
  - `positives_recovered+`: Number of features considered to be positives and which were recovered

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(x) |

  L2-Norm the values, convert them to p-values of a given distribution.

  Parameters:

  sd : int

  > Samples dimension (if len(x.shape)>1) on which to operate

  distribution : string

  > Which distribution to use. Known are: ‘rdist’ (later normal should be there as well)

  fpp : float

  > At what p-value (both tails) if not None, to control for false positives. It would iteratively prune the tails (tentative real positives) until empirical p-value becomes less or equal to numerical.

  nbins : int

  > Number of bins for the iterative pruning of positives

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  descr : str

  > Description of the instance

  WARNING: Highly experimental/slow/etc: no theoretical grounds have been

  presented in any paper, nor proven

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(x) |